#include <iostream>


using namespace std;
int main()
{
	long long n, m;
	long N[100000];
	long  M1[100000];
	long  M2[100000];

	cin >> n >> m;

	for (size_t i = 0; i < n; i++)
	{
		cin >> N[i];
	}

	for (size_t i = 0; i < m; i++)
	{
		cin >> M1[i]>> M2[i];
	}

	

}